### Hierarchy

- BatchPool

## Index

### Constructors

- constructor

### Methods

- get
- purge
- put

## Constructors

### constructor

- new BatchPool(): BatchPool

- - Defined in lib/starling/rendering/BatchProcessor.d.ts:68

  #### Returns BatchPool

## Methods

### get

- get(styleType: any): MeshBatch

- - Defined in lib/starling/rendering/BatchProcessor.d.ts:73

  #### Parameters

  - ##### styleType: any

  #### Returns MeshBatch

### purge

- purge(): void

- - Defined in lib/starling/rendering/BatchProcessor.d.ts:71

  #### Returns void

### put

- put(meshBatch: MeshBatch): void

- - Defined in lib/starling/rendering/BatchProcessor.d.ts:75

  #### Parameters

  - ##### meshBatch: MeshBatch

  #### Returns void

Generated using TypeDoc